// =====================================================================
//  $Id: TQuitCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TQuitCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TQuitCommand.hh"
#include "TUserInterface.hh"
#include "TRunManager.hh"

static const Tstring _name = "quit";
static const Tstring _desc = "terminate this session by force.";

TQuitCommand::TQuitCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TQuitCommand::~TQuitCommand()
{;}

Tvoid TQuitCommand::Execute( const TstringList& arguments )
{
  TUserInterface* ui = theRunManager -> GetUserInterface();
  ui -> ExecuteCommand( "exit" );
  return;
}
